using System;
using System.Collections.Generic;
using System.IdentityModel.Tokens.Jwt;
using System.Linq;
using System.Security.Claims;
using System.Text;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Microsoft.IdentityModel.Tokens;
using ServiciosEscritorioSAT.Repositories;
using ServiciosEscritorioSAT.Models;

namespace ServiciosEscritorioSAT.Controllers {
    [ApiController]
    [Route("estacionada_motivo")]
    public class EstacionadaMotivoController: ControllerBase {
        private ILogger<EstacionadaMotivoController> logger;

        public EstacionadaMotivoController(ILogger<EstacionadaMotivoController> logger) {
            this.logger = logger;
        }

        public ActionResult<IEnumerable<EstacionadaMotivo>> Get() {
            EstacionadaMotivoRepository repo = new EstacionadaMotivoRepository();
            return Ok(repo.Query());
        }
    }
}