using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using ServiciosEscritorioSAT.Models;
using ServiciosEscritorioSAT.Repositories;

namespace ServiciosEscritorioSAT.Controllers {
    [ApiController]
    [Route("usuario")]
    public class UsuarioController : ControllerBase {
        private ILogger<UsuarioController> logger;

        public UsuarioController(ILogger<UsuarioController> logger) {
            this.logger = logger;
        }

        [Authorize]
        [HttpGet]
        public IEnumerable<Usuario> Get() {
            UsuariosRepository repo = new UsuariosRepository();
            return repo.Query();
        }
    }
}