using System;
using RepoDb.Attributes;
using System.Text.Json;

namespace ServiciosEscritorioSAT.Models {
    [Map("estacionadas")]
    public class Estacionada {
        public int? id {get; set;}
        public string equip_id {get;set;}
        public string hora_activacion {get;set;}
        public DateTime fecha_inicio {get;set;}
        public DateTime? fecha_fin {get;set;}
        public string nombre {get;set;}
        public string apellidos {get;set;}
        public int? access_ref {get;set;}
        public string central {get;set;}
        public int tipologia_id {get;set;}
        public string telefono {get;set;}
        public string periodicidad_semanal {get;set;}
        public string observaciones {get;set;}

        public string AsText() {
            string ser = JsonSerializer.Serialize(this);
            return ser;
        }

    }
}