using System;
using System.Linq;
using System.Data.SqlClient;
using RepoDb;
using ServiciosEscritorioSAT.Models;

namespace ServiciosEscritorioSAT.Repositories {
    public class EstacionadaHistoricoRepository {
        public EstacionadaHistorico Create(EstacionadaHistorico data) {
            using (var connection = new SqlConnection(Environment.GetEnvironmentVariable(Constantes.CONNECTION_STRING))) {
                var id = connection.Insert<EstacionadaHistorico>(data);
                EstacionadaHistorico est = connection.Query<EstacionadaHistorico>(id).First();
                return est;
            }
        }
    }
}