using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using RepoDb;
using ServiciosEscritorioSAT.Models;

namespace ServiciosEscritorioSAT.Repositories {
    public class PermisoRepository {
        public IEnumerable<Permiso> GetByAccessRef(int access_ref) {
            using (var connection = new SqlConnection(Environment.GetEnvironmentVariable(Constantes.CONNECTION_STRING))) {
                return connection.Query<Permiso>(p => p.access_ref == access_ref).ToArray();
            }
        }
    }
}