using System;
using Apache.NMS.Stomp;

namespace ServiciosEscritorioSAT.Services
{
    public class MessageSender
    {
        public static void Send(Message msg)
        {
            var factory = new ConnectionFactory(Environment.GetEnvironmentVariable(Constantes.ACTIVEMQ_STOMP_URI));
            using (var conn = factory.CreateConnection())
            using (var session = conn.CreateSession()) {
                var producer = session.CreateProducer(session.GetTopic("escritorio-sat"));
                producer.Send(session.CreateTextMessage(msg.AsText()));
                Console.WriteLine("sent");
            }
        }
    }
}