import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import Usuario from '../models/usuario';

@Injectable({
  providedIn: 'root'
})
export class UsuariosService {

  static SERVICE_URL = "/servicios/usuario";

  constructor(private http: HttpClient) { }

  getAll(): Observable<Usuario[]> {
    return this.http.get<Usuario[]>(UsuariosService.SERVICE_URL);
  }
}
