using System;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System.Collections.Generic;
using ServiciosEscritorioSAT.Models;
using ServiciosEscritorioSAT.Repositories;

namespace ServiciosEscritorioSAT.Controllers {
    [ApiController]
    [Route("tipologia")]
    public class TipologiaController : ControllerBase {
        private ILogger<TipologiaController> logger;

        public TipologiaController(ILogger<TipologiaController> logger) {
            this.logger = logger;
        }

        [Authorize]
        [HttpGet]
        public IEnumerable<Tipologia> Get() {
            TipologiaRepository repo = new TipologiaRepository();
            return repo.Query();
        }
    }
}