using System.Collections.Generic;
using ServiciosEscritorioSAT.Models;
using RepoDb;

namespace ServiciosEscritorioSAT.Helpers {
    public class QueryHelper {
        public static QueryField[] BuildQueryFields(ColumnFilter[] filters) {
            List<QueryField> fields = new List<QueryField>();
            foreach(ColumnFilter filter in filters) {
                fields.Add(filter.ToQueryField());
            }
            return fields.ToArray();
        }
    }
}