using RepoDb;
using ServiciosEscritorioSAT.Helpers;

namespace ServiciosEscritorioSAT.Models {
    public class ColumnFilter {
        public string columnName {get;set;}
        public FilterOperation filterOperation {get;set;}
        public string filterValue {get;set;}

        public QueryField ToQueryField() {
            return new QueryField(
                columnName, 
                FilterOperationTranslator.Translate(filterOperation), 
                filterValue
            );
        }
    }
}
