using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.SqlClient;
using RepoDb;
using ServiciosEscritorioSAT.Models;
using ServiciosEscritorioSAT.Helpers;

namespace ServiciosEscritorioSAT.Repositories {
    public class EstacionadaMotivoRepository {
        public IEnumerable<EstacionadaMotivo> Query() {
            using (var connection = new SqlConnection(Environment.GetEnvironmentVariable(Constantes.CONNECTION_STRING))) {
                return connection.QueryAll<EstacionadaMotivo>().ToArray();
            }
        }
    }
}