using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using RepoDb;
using RepoDb.Enumerations;
using ServiciosEscritorioSAT.Models;

namespace ServiciosEscritorioSAT.Repositories {
    public class TipologiaRepository {
         public IEnumerable<Tipologia> Query() {
            using (var connection = new SqlConnection(Environment.GetEnvironmentVariable(Constantes.CONNECTION_STRING))) {
                var orderBy = OrderField.Parse(new {
                    nombre = Order.Ascending
                });
                return connection.QueryAll<Tipologia>(orderBy: orderBy).ToArray();
            }
        }
    }
}