using System;
using System.Text.Json;

namespace ServiciosEscritorioSAT.Services {
    public class Message {
        public MessageOriginDestination origin {get;set;}
        public MessageOriginDestination destination {get;set;}
        public MessageAction action {get;set;}
        public string content {get;set;}
        public DateTime timestamp {get;set;}
        public string entity {get; set;}

        public Message() {
            content = string.Empty;
            timestamp = DateTime.Now;
        }

        public string AsText() {
            return JsonSerializer.Serialize(this);
        }
    }
}