import * as DesktopReducers from "./state/reducers";
import * as EstacionadasReducers from "./modulos/estacionadas/state/reducers";
import { ActionReducerMap } from "@ngrx/store";
import { routerReducer } from "@ngrx/router-store";
import * as fromRouter from "@ngrx/router-store";

export interface AppState {
    router: fromRouter.RouterReducerState<any>;
    desktop: DesktopReducers.DesktopState;
    estacionadas: EstacionadasReducers.EstacionadasState;
}

export const appReducers: ActionReducerMap<AppState> = {
    router: routerReducer,
    desktop: DesktopReducers.desktopReducers,
    estacionadas: EstacionadasReducers.estacionadasReducers
}